Bug 1422410 - Exception: <Fault 1: "<type 'exceptions.TypeError'>:append() got an unexpected keyword argument 'osmajor'">
Summary: Exception: <Fault 1: "<type 'exceptions.TypeError'>:append() got an unexpecte...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.1
Assignee: Dan Callaghan
QA Contact: Dan Callaghan
URL:
Whiteboard:
Keywords: Patch, Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 09:13 UTC by Jan Stancek
Modified: 2017-02-28 16:50 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-02-28 16:50:38 UTC


Attachments (Terms of Use)

Description Jan Stancek 2017-02-15 09:13:51 UTC
Description of problem:
After update to 24.0, I'm running into this error when uploading task:
Exception: <Fault 1: "<type 'exceptions.TypeError'>:append() got an unexpected keyword argument 'osmajor'">

It happens both with make bkradd and WEBUI.

Version-Release number of selected component (if applicable):
24.0

How reproducible:
100%

Steps to Reproduce:
upload new task

Actual results:
Exception: <Fault 1: "<type 'exceptions.TypeError'>:append() got an unexpected keyword argument 'osmajor'">

Expected results:
task can be updated

Additional info:

Comment 1 Dan Callaghan 2017-02-15 09:33:17 UTC
The bug is only triggered when the task is introducing new excluded osmajors using the Releases: field in metadata (this includes a task which has an inclusion list which is translated to an exclusion list on the server side). So one possible workaround is to upload your task with Releases: commented out.

Comment 2 Dan Callaghan 2017-02-15 09:35:18 UTC
Complete tb:

bkr.server.tasks ERROR Failed to import kernel-kernel-distribution-ltp-include-20170116-7.noarch.rpm
 Traceback (most recent call last):
   File "/usr/lib/python2.6/site-packages/bkr/server/tasks.py", line 214, in save
     task = Task.update_task(task_rpm.filename, write_data)
   File "/usr/lib/python2.6/site-packages/bkr/server/model/tasklibrary.py", line 382, in update_task
     return cls.library.update_task(rpm_name, write_rpm)
   File "/usr/lib/python2.6/site-packages/bkr/server/model/tasklibrary.py", line 178, in update_task
     tasks = self.update_tasks([(rpm_name, write_rpm)])
   File "/usr/lib/python2.6/site-packages/bkr/server/model/tasklibrary.py", line 224, in update_tasks
     task, downgrade = Task.create_from_taskinfo(self.read_taskinfo(f))
   File "/usr/lib/python2.6/site-packages/bkr/server/model/tasklibrary.py", line 450, in create_from_taskinfo
     task.excluded_osmajors.append(osmajor=OSMajor.by_name_alias(family))
 TypeError: append() got an unexpected keyword argument 'osmajor'

Comment 3 Dan Callaghan 2017-02-20 16:06:01 UTC
https://gerrit.beaker-project.org/5643

Comment 5 Dan Callaghan 2017-02-27 13:26:02 UTC
Yes good point, I will cut 24.1 now.

Comment 8 Dan Callaghan 2017-02-28 16:50:38 UTC
Beaker 24.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.